<?php

namespace App\Entities\ProcedimentoValor;

use App\Utils\Builder;
use App\Utils\Entity;

class ProcedimentoValorBuilder implements Builder {
	protected $id;
	protected $id_convenio_procedimento;
	protected $id_convenio;
	protected $id_procedimento;
	protected $id_unidade;
	protected $valor;
	protected $valor_interno;
	protected $valor_repasse_medico;
	protected $data_inicio;
	protected $data_fim;
	protected $status;
	
	
	public function build(): ProcedimentoValor {
		
		$procedimento = new ProcedimentoValor();
		if (isset( $this->id )) {
			$procedimento->setid( $this->id );
		}
		if (isset( $this->id_convenio_procedimento )) {
			$procedimento->setId_convenio_procedimento( $this->id_convenio_procedimento );
		}
		if (isset( $this->id_convenio )) {
			$procedimento->setId_convenio( $this->id_convenio );
		}
		if (isset( $this->id_procedimento )) {
			$procedimento->setId_procedimento( $this->id_procedimento );
		}
		if (isset( $this->id_unidade )) {
			$procedimento->setId_unidade( $this->id_unidade );
		}
		if (isset( $this->valor )) {
			$procedimento->setValor( $this->valor );
		}
		if (isset( $this->valor_interno )) {
			$procedimento->setValorInterno( $this->valor_interno );
		}
		if (isset( $this->valor_repasse_medico )) {
			$procedimento->setValorRepasseMedico( $this->valor_repasse_medico );
		}
		if (isset( $this->data_inicio )) {
			$procedimento->setData_inicio( $this->data_inicio );
		}
		if (isset( $this->data_fim )) {
			$procedimento->setData_fim( $this->data_fim );
		}
		
		if (isset( $this->status )) {
			$procedimento->setStatus( $this->status );
		}
		return $procedimento;
		
	}

    /**
     * @return mixed
     */
    public function getValorRepasseMedico()
    {
        return $this->valor_repasse_medico;
    }

    /**
     * @param mixed $valor_repasse_medico
     * @return ProcedimentoValorBuilder
     */
    public function setValorRepasseMedico($valor_repasse_medico)
    {
        $this->valor_repasse_medico = $valor_repasse_medico;
        return $this;
    }


	public function setId(int $id): ProcedimentoValorBuilder {

		$this->id = $id;
		return $this;

	}

	public function setId_convenio_procedimento($id_convenio_procedimento) {

		$this->id_convenio_procedimento = $id_convenio_procedimento;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_convenio
	 */
	public function setId_convenio($id_convenio) {

		$this->id_convenio = $id_convenio;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_procedimento
	 */
	public function setId_procedimento($id_procedimento) {

		$this->id_procedimento = $id_procedimento;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_unidade
	 */
	public function setId_unidade($id_unidade) {

		$this->id_unidade = $id_unidade;
		return $this;

	}

	public function setValor($valor) {

		$this->valor = $valor;
		return $this;

	}

	public function setValorInterno($valorInterno) {

		$this->valor_interno = $valorInterno;
		return $this;

	}

	public function setData_inicio($data_inicio) {

		$this->data_inicio = $data_inicio;
		return $this;

	}

	public function setData_fim($data_fim) {

		$this->data_fim = $data_fim;
		return $this;

	}

	
	/**
	 * @param mixed $status
	 */
	public function setStatus($status) {

		$this->status = $status;
		return $this;
	}



}